package com.hzya.frame.grpU8.nxproof.glkmxx.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.grpU8.nxproof.glkmxx.entity.SenderGlKmxxEntity;
import com.hzya.frame.sysnew.application.entity.SysExtensionApiEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

import java.util.List;


/**
 * (GlKmxx)表服务接口
 *
 * @author makejava
 * @since 2024-06-20 10:01:13
 */
public interface ISenderGlKmxxService extends IBaseService<SenderGlKmxxEntity, String> {

    /**
     *
     * @content 科目信息同步  卫生院
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/20 10:27
     * **/
    Object kmxxSynchronization(JSONObject jsonObject);

    /**
     *
     * @content 查询科目信息   卫生院
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/20 18:33
     * **/
    Object queryEntityPage(JSONObject json);


    /**
     *
     * @content 查询科目信息  卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/20 18:33
     * **/
    List<SenderGlKmxxEntity> queryEntityPageHealthBureau(SenderGlKmxxEntity receiverGlKmxxEntity);

    /**
     *
     * @content 保存科目信息 卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/21 11:54
     * **/
    Object saveEntityHealthBureau(JSONObject json);

    /**
     *
     * @content 更新科目信息 卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/21 13:37
     * **/
    Object updateEntityHealthBureau(JSONObject json);

    /**
     *
     * @content 删除科目信息 卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/8/9 16:55
     * **/
    Object deleteEntityHealthBureau(JSONObject jsonObject);

    /**
     *
     * @content 获取数据源编码
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/8/13 14:59
     * **/
    SysExtensionApiEntity getDataSourceCode(SysExtensionApiEntity sysExtensionApiEntity);


}
